Build Generator (32bit) needs additional zlib.so as 32bit version on x86_64 machines
Assignee: Jan Moringen % Done: 0%

Category: distinstaller Estimated time: 0.00 hour

Target version:  Spent time: 0.50 hour

Description

In case you downloaded the latest version of jenkins.tar.gz, which contains the build-generator (compiled on 32bit arch),

and executed the build-generator on a 64 bit architecture you need to install the 32 bit version of zlib in order

to make things work.

[flier@dr0ne]-[/home/flier/Projects/Ongoing/citk/jenkins]

[15:21]$ sudo apt-get install zlib1g:i386

History

#1 - 2014-05-15 15:30 - Florian Lier

[flier@dr0ne]-[/home/flier/Projects/Ongoing/citk/jenkins]

[15:29]$ sudo apt-get install libssl1.0.0:i386

#2 - 2014-05-15 15:30 - Johannes Wienke

I can't do anything against this. You need a correct 32 bit environment. Maybe Jan can prepackage that library in the executable?

#3 - 2014-05-15 15:31 - Johannes Wienke

- Assignee changed from Johannes Wienke to Jan Moringen

#4 - 2014-05-15 18:42 - Jan Moringen

There are a few possibilities:

1. Disable the executable compression feature. This would get rid of the libz dependency but would also prevent the use of compressed binaries.

Maybe this is the way to go since the whole package is compressed anyway.

2. Hacking SBCL to statically include libz in all binaries as Johannes suggested. This would not be too hard but annoying to maintain.

3. Including the 32bit and 64bit versions of the generator and have a shell script select the appropriate version at runtime.

4. Distribute the generator in source form and have users install SBCL (this would be similar to the model used by Python).

#5 - 2014-05-15 18:42 - Jan Moringen

- Status changed from New to Feedback

#6 - 2014-05-15 19:39 - Sebastian Wrede

I'd vote for option 1 and (later) probably 2.

#7 - 2014-06-20 14:27 - Florian Lier

- Status changed from Feedback to Closed
